** Also affects: awstats (Ubuntu Xenial)
   Importance: Undecided
       Status: New

-- 
You received this bug notification because you are a member of नेपाली
भाषा समायोजकहरुको समूह, which is subscribed to Xenial.
Matching subscriptions: Ubuntu 16.04 Bugs
https://bugs.launchpad.net/bugs/1585121

Title:
  awstats produces regex warnings in version 7.4 with Perl 5.22 on
  Ubuntu 16.04 LTS

Status in awstats package in Ubuntu:
  Fix Released
Status in awstats source package in Xenial:
  Confirmed
Status in awstats package in Debian:
  Unknown

Bug description:
  [Impact]

  The main awstats script triggers the Perl deprecation warnings about
  unescaped braces in regexes, every time the script is run (which, by
  default is every 10 minutes, via cron, sending out an email with
  these).

  [Test Case]

  1. apt install awstats
  2. run '/usr/share/awstats/tools/update.sh'

  You should get an error because of a missing config parameter, but if
  this bug is present, you also get six "Unescaped left brace in regex
  is deprecated, ..." messages before that.

  [Regression Potential]

  I don't see any way this could go wrong.  The patch is trivial, and is
  already included upstream and in yakkety.

  [Original Description]

  > Unescaped left brace in regex is deprecated, passed through in regex; 
marked by <-- HERE in m/\"%{ <-- HERE Referer}i\"/ at 
/usr/lib/cgi-bin/awstats.pl line 9043.
  > Unescaped left brace in regex is deprecated, passed through in regex; 
marked by <-- HERE in m/\"%{ <-- HERE User-Agent}i\"/ at 
/usr/lib/cgi-bin/awstats.pl line 9044.
  > Unescaped left brace in regex is deprecated, passed through in regex; 
marked by <-- HERE in m/%{ <-- HERE mod_gzip_input_size}n/ at 
/usr/lib/cgi-bin/awstats.pl line 9045.
  > Unescaped left brace in regex is deprecated, passed through in regex; 
marked by <-- HERE in m/%{ <-- HERE mod_gzip_output_size}n/ at 
/usr/lib/cgi-bin/awstats.pl line 9046.
  > Unescaped left brace in regex is deprecated, passed through in regex; 
marked by <-- HERE in m/%{ <-- HERE mod_gzip_compression_ratio}n/ at 
/usr/lib/cgi-bin/awstats.pl line 9047.
  > Unescaped left brace in regex is deprecated, passed through in regex; 
marked by <-- HERE in m/\(%{ <-- HERE ratio}n\)/ at /usr/lib/cgi-bin/awstats.pl 
line 9048.

  Those warnings occur whenever we execute awstats and they can easily
  be fixed by escaping the "{" and "}" at the mentioned lines. In fact
  awstats 7.5 fixed those lines already itself:

  > AWStats Changelog
  > -----------------
  >
  > ***** 7.5 *****
  >
  > - Compatibility with Perl 5.22

  Please consider backporting those fixes, because awstats is most
  likely executed by cron or such and this produces unnecessary mails
  with those warnings. Disabling mails on warnings/errors is of course
  no solution, because one would miss real configuration errors or such
  this way.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/awstats/+bug/1585121/+subscriptions

_______________________________________________
Mailing list: https://launchpad.net/~group.of.nepali.translators
Post to     : group.of.nepali.translators@lists.launchpad.net
Unsubscribe : https://launchpad.net/~group.of.nepali.translators
More help   : https://help.launchpad.net/ListHelp

Reply via email to